# Zoho Mail Plugin for Drupal

Zoho Mail is a business email platform that helps you communicate with your colleagues, clients, and others via a secure email platform. The Zoho Mail Plugin will help you send emails using Zoho Mail from Drupal and stay connected with users accessing your application or blogs or website.

To learn more about Zoho Mail
[Zoho Mail homepage](https://www.zoho.com/mail/).

In case of any technical queries 
[Contact sales](https://www.zoho.com/mail/contact.html).


## Pre-requisites

- Zoho Mail account
- A Verified domain added to the Zoho Mail account
- Using this module requires Mail system module [Mail system module](https://www.drupal.org/project/mailsystem)


## Installation 

- Navigate to the Extend section and select Add Module.
- You can either add the following URL in your command prompt : 
composer require 'drupal/zoho/zohomail:^1.0'
- Or you can upload the ZohoMail tar.gz file to add the Zoho Mail module to the list.

To install :
There are two ways to do this :
- Search the Zoho Mail module in the Extend section and click Install.
- You can also install by navigating to the Administration section and selecting Configuration.
- You will find the Zoho Mail module listed. Click Install to install the module.
Once you install the module, you will be redirected to the Configuration page.

## Configuration 

- Follow the steps below to configure Zoho Mail with Drupal
- Choose the region where your account is hosted.
- Copy the Authorized Redirection URL from the configuration page.
- Log in to your Zoho Mail account, and access the [Zoho Developer Console](https://api-console.zoho.com/) to create a new Client ID and Client Secret to access Zoho Mail API.
- Click on Get Started if you have no existing Client. If you have an existing client, click on Add Client in the top-right corner. 
- Select Server-based Applications in the Client Type window.
- Provide the appropriate Client Name and your domain in Homepage URL along with the Authorized Redirect URL copied from your Drupal account.
- Click Create to generate the Client ID and Client Secret.
- Navigate to the Zoho Mail configuration page in Drupal Admin Account.
- Enter the obtained Client ID and Client Secret on this page.
- Click Authorize.
- You will be taken to the Zoho Mail account authorization window. Enter your email account credentials and click Accept.
- You will be redirected to the Drupal configuration page upon successful authorization.
- Choose the FROM name and email address you wish to use.
- Click Save.

The module is installed and configured for your use.

## Troubleshooting 
Write to us in case of any queries
[Contact support](support@zohomail.com)
